Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: OpenIDM 5.5.0.3, OpenIDM 5.0.0.3, 6.0.0.2
    • Fix Version/s: 7.0.0
    • Component/s: Infrastructure - Build
    • Labels:
    • Target Version/s:
    • Verified Version/s:
    • Story Points:
      3
    • Sprint:
      OpenIDM Sprint 7.0-1
    • Support Ticket IDs:

      Description

      Please consider upgrading the version of lodash in OpenIDM to be 4.x instead of 2.x

       

      The OpenIDM 6.0 conditionalRoles script even contains the following.

       

        // _.isNil is not defined in our version of lodash

        function isNil(object) {

          return object === undefined || object === null;

        }

       

      There has been functionality added to lodash between 2.x and 4.x

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                travis.haagen Travis Haagen
                Reporter:
                becky.maund Becky Maund
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: